"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-312/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E200>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E2A0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E340>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E3E0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E480>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E520>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E5C0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E660>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E7A0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E840>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E8E0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297E980>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EA20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EAC0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EB60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EC00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297ECA0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297ED40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EDE0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EE80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EF20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297EFC0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F060>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F100>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F1A0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F240>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F2E0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F380>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F420>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F4C0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F560>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F600>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F6A0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F740>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F7E0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F880>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F920>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297F9C0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FA60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FB00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FBA0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FC40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FCE0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FD80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FE20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FEC0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002618297FF60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC040>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC0E0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC180>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC220>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC2C0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC360>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC400>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC4A0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC540>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC5E0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC680>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC720>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC7C0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC860>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC900>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CC9A0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCA40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCAE0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCB80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCC20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCCC0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCD60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCE00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCEA0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCF40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CCFE0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD080>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD120>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD1C0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD260>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD300>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD3A0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD4E0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD440>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD580>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD620>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000261829CD6C0>)]
name: str = 'fr_HOCCN'
